Package: groovy.org.codenarc.rule.groovyism

## [Groovy] Class GStringAsMapKeyRule

- groovy.org.codenarc.rule.groovyism.GStringAsMapKeyRule

- A rule that disallows GStrings as map keys as they might change their hashcode over time. The map keys and values are recursively checked.

  Authors:
    @Hackergarten

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority